#include <bits/stdc++.h>
using namespace std;


void bits(int n, int j)
{
    int n, k, x, c, c1;
    vector <int> v(n);
    cin >> n >> k >> x; c1=c;
    for (int i=0; i<n; i++)
    {
        cin >> v[i];
    }
    for (int i=0; i<n; i++)
    {
        ans=0;
        for (int j=i; j<k+i)
        {
            ans=ans+c*v[j];
            if (c < x)
                c++;
        }
        cout << ans << endl;
    }
}